Filter by Atlas Feature, Save State

2017-06-05 12:02 PM - Andy Harney

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24562

Description

Hi,

When using the "Only show items inside current atlas feature" feature within a map composer, its state is not being saved.

Saving with the checkbox enabled, and reopening will show the checkbox disabled.

I've had a look through the .qgs save file and I cannot see anything that would suggest that its state would be stored within the

<ComposerLegend> tags.

I've tested this on both master and 2.18.9.

Many Thanks.

Associated revisions

Revision ecb4c5a6 - 2017-06-06 04:09 AM - Nyall Dawson

Fix composer legend "Filter by Atlas Feature" does not save

Fix #16663

Revision dbdbd157 - 2017-06-08 02:35 AM - Nyall Dawson

Fix composer legend "Filter by Atlas Feature" does not save

Fix #16663

(forward port from ecb4c5a)

History

#1 - 2017-06-06 04:10 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|ecb4c5a6924693b3604706edbbed19439c2b1949.
